@use '../colors' as *;
@use '../spacing' as *;

$BACKGROUND-PRIMARY: #101014;
$BACKGROUND-SECONDARY: #10101470;
$BACKGROUND-HIGHLIGHT: #008FFF;

$FOREGROUND-PRIMARY: #FFF;
$FOREGROUND-SECONDARY: #008FFF;

$FONT-PRIMARY: #FAFAFF;
$FONT-SECONDARY: #008FFF;
$FONT-HIGHLIGHT: #4545FF;


.cactus-container {
  display: flex;
  flex-direction: column;
  gap: 1em;
  margin: $DEFAULT-SPACING 0;
  color: $FOREGROUND-PRIMARY;
  background-color: transparent;
}

.cactus-error {
  padding: .5em;
  padding-inline-end: 1.5em;
  border: 1px solid $FONT-ERROR;
  border-radius: $DEFAULT-SPACING;
  position: relative;
}

.cactus-error-close {
  position: absolute;
  right: 0;
  top: 0;
  transform: translate(5%, -20%);
  font-size: 1.5em;
  color: $BACKGROUND-PRIMARY;
  background-color: transparent;
  border: none;
}

.cactus-error-close:hover:not([disabled]) {
  color: $FONT-PRIMARY;
  cursor: pointer;
}

.cactus-error-close:active:not([disabled]) {
  color: $FONT-PRIMARY;
  cursor: pointer;
}

.cactus-error-text {
  color: $FONT-ERROR;
  font-weight: 700;
  margin: 0;
}

.cactus-editor {
  display: flex;
  flex-direction: column;
  gap: .5em;
}

.cactus-editor>span {
  display: flex;
}

.cactus-editor-textarea {
  display: flex;
  flex: 1;
  height: 9rem;
  border-radius: $DEFAULT-SPACING;
  border: solid 1px $FOREGROUND-PRIMARY;
  padding: .5em;
  background-color: transparent;
  color: inherit;
  font: inherit;
}

.cactus-editor-textarea::placeholder {
  text-align: center;
  line-height: 8rem;
  font-size: 1.5rem;
  color: $FONT-PRIMARY;
}

.cactus-editor-below {
  display: flex;
  flex-wrap: wrap;
  gap: .5em;
  justify-content: flex-end;
}

.cactus-editor-name {
  display: flex;
  flex: 1;
}

.cactus-editor-name>span {
  display: flex;
  flex: 1;
  min-inline-size: 20ch;
  max-inline-size: 40ch;
}

.cactus-editor-name>span>input {
  inline-size: 100%;
  border-radius: $DEFAULT-SPACING;
  border: solid 1px $FOREGROUND-PRIMARY;
  padding: .5em;
  background-color: transparent;
  color: inherit;
  font-size: inherit;
}

.cactus-editor-name>span>input::placeholder {
  color: $FONT-PRIMARY;
}

.cactus-editor-buttons {
  display: flex;
  gap: .5em;
}

.cactus-matrixdotto-only {
  align-self: center;
  text-decoration: none;
}

.cactus-login-form {
  position: fixed;
  left: 50%;
  top: 10%;
  transform: translate(-50%);
  z-index: 1;
  border-radius: $DEFAULT-SPACING;
  background-color: $BACKGROUND-PRIMARY;
  color: $FONT-PRIMARY;
  box-shadow: 0 .5em 1em .5em $FOREGROUND-PRIMARY;
  box-sizing: border-box;
  inline-size: 100%;
  max-inline-size: 300px;
  padding: 2rem;
  display: flex;
  flex-direction: column;
  gap: .5em;
}

.cactus-login-form>h3 {
  align-self: center;
  font-size: 1.17em;
  font-weight: 700;
  margin: 0;
}

.cactus-login-field {
  display: flex;
  flex-direction: column;
  gap: .25em;
}

.cactus-login-field>p {
  margin: 0;
}

.cactus-login-field>input {
  border-radius: $DEFAULT-SPACING;
  border: solid 1px $FONT-SECONDARY;
  padding: .5em;
  background-color: transparent;
  color: inherit;
  font-size: inherit;
}

.cactus-login-field>input::placeholder {
  color: $FONT-PRIMARY;
}

.cactus-login-buttons {
  display: flex;
  gap: .5em;
  justify-content: space-between;
  flex-wrap: wrap;
}

.cactus-login-buttons>.cactus-button {
  flex: 1;
  justify-content: center;
}

.cactus-matrixdotto-button {
  justify-content: center;
  text-decoration: none;
}

.cactus-comments-container {
  display: flex;
  flex-direction: column;
  gap: 1em;
}

.cactus-comments-list {
  display: flex;
  flex-direction: column;
  gap: 0.5em;
}

.cactus-comment {
  display: flex;
  flex-direction: row;
  gap: 1em;
  padding-block-start: 1.2em;
  padding-block-end: 1.2em;
  border-block-end: 1px solid $FOREGROUND-PRIMARY;
}

.cactus-comment-avatar {
  display: flex;
}

.cactus-comment-avatar>* {
  width: 2.5rem;
  height: 2.5rem;
  border-radius: 50%;
  margin: 0;
}

.cactus-comment-avatar-placeholder {
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: $BACKGROUND-HIGHLIGHT;
  color: $FONT-PRIMARY;
}

.cactus-comment-avatar-placeholder:before {
  content: "?";
}

.cactus-comment-content {
  display: flex;
  flex-direction: column;
  gap: .5em;
}

.cactus-comment-header {
  display: flex;
  gap: .5em;
  flex-wrap: wrap;
}

.cactus-comment-displayname {
  font-weight: 700;
  cursor: pointer;
  text-decoration: none;
  color: inherit;
}

.cactus-comment-time {
  font-size: 0.8em;
  align-self: end;
  color: $FONT-PRIMARY;
}

.cactus-message-text>:first-child {
  margin-block-start: 0;
}

.cactus-message-text>:last-child {
  margin-block-end: 0;
}

.cactus-message-emote {
  padding-top: .5em;
  color: $FONT-PRIMARY;
}

.cactus-message-image {
  max-width: 100%;
  height: auto;
}

.cactus-message-file {
  line-height: 3em;
  margin-left: 1em;
}

.cactus-message-video {
  max-width: 100%;
}

.cactus-button {
  display: flex;
  align-items: center;
  padding-block: .6em;
  padding-inline: 1em;
  background-color: $BACKGROUND-HIGHLIGHT;
  font-weight: 700;
  border-radius: $DEFAULT-SPACING;
  color: $FONT-PRIMARY;
  font-size: inherit;
  border: none;
}

.cactus-button:hover:not([disabled]) {
  background-color: $BACKGROUND-HIGHLIGHT;
  cursor: pointer;
}

.cactus-button:active:not([disabled]) {
  background-color: $BACKGROUND-HIGHLIGHT;
  cursor: pointer;
}

.cactus-view-more {
  display: flex;
  justify-content: center;
}
